Bug 1568754 - [abrt] meld: get_action_chunk(): filediff.py:514:get_action_chunk:ValueError: Action was taken on a missing chunk
Summary: [abrt] meld: get_action_chunk(): filediff.py:514:get_action_chunk:ValueError:...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: meld
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dominic Hopf
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:cee29ada76c2b0fd096fd37d222...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-18 08:52 UTC by Gergely Polonkai
Modified: 2018-11-30 21:06 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 21:06:51 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (644 bytes, text/plain)
2018-04-18 08:52 UTC, Gergely Polonkai
no flags Details
File: cgroup (321 bytes, text/plain)
2018-04-18 08:52 UTC, Gergely Polonkai
no flags Details
File: cpuinfo (1.39 KB, text/plain)
2018-04-18 08:52 UTC, Gergely Polonkai
no flags Details
File: environ (2.63 KB, text/plain)
2018-04-18 08:52 UTC, Gergely Polonkai
no flags Details
File: mountinfo (4.06 KB, text/plain)
2018-04-18 08:52 UTC, Gergely Polonkai
no flags Details
File: namespaces (129 bytes, text/plain)
2018-04-18 08:52 UTC, Gergely Polonkai
no flags Details
File: open_fds (1.91 KB, text/plain)
2018-04-18 08:52 UTC, Gergely Polonkai
no flags Details

Description Gergely Polonkai 2018-04-18 08:52:29 UTC
Version-Release number of selected component:
meld-3.18.0-1.fc27

Additional info:
reporter:       libreport-2.9.3
cmdline:        /usr/bin/python3 /usr/bin/meld --output=app/app/templates/aggregators/mol.html ./app/app/templates/aggregators/mol_LOCAL_30297.html ./app/app/templates/aggregators/mol_BASE_30297.html ./app/app/templates/aggregators/mol_REMOTE_30297.html
crash_function: get_action_chunk
exception_type: ValueError
executable:     /usr/bin/meld
kernel:         4.15.10-300.fc27.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
filediff.py:514:get_action_chunk:ValueError: Action was taken on a missing chunk

Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/meld/filediff.py", line 524, in action_push_change_left
    self.replace_chunk(src, dst, self.get_action_chunk(src, dst))
  File "/usr/lib/python3.6/site-packages/meld/filediff.py", line 514, in get_action_chunk
    raise ValueError("Action was taken on a missing chunk")
ValueError: Action was taken on a missing chunk

Local variables in innermost frame:
chunk: None
valid_panes: [0, 1, 2]
dst: 0
src: 1
self: <filediff.FileDiff object at 0x7fe0383a4f78 (FileDiff at 0x560752917860)>

Comment 1 Gergely Polonkai 2018-04-18 08:52:36 UTC
Created attachment 1423390 [details]
File: backtrace

Comment 2 Gergely Polonkai 2018-04-18 08:52:37 UTC
Created attachment 1423391 [details]
File: cgroup

Comment 3 Gergely Polonkai 2018-04-18 08:52:39 UTC
Created attachment 1423392 [details]
File: cpuinfo

Comment 4 Gergely Polonkai 2018-04-18 08:52:40 UTC
Created attachment 1423393 [details]
File: environ

Comment 5 Gergely Polonkai 2018-04-18 08:52:42 UTC
Created attachment 1423394 [details]
File: mountinfo

Comment 6 Gergely Polonkai 2018-04-18 08:52:44 UTC
Created attachment 1423395 [details]
File: namespaces

Comment 7 Gergely Polonkai 2018-04-18 08:52:46 UTC
Created attachment 1423396 [details]
File: open_fds

Comment 8 Ben Cotton 2018-11-27 16:07:13 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Ben Cotton 2018-11-30 21:06:51 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.